| Fast DDS Version 3.3.0 Fast DDS

Loading...
Searching...
No Matches
TypeIdentifier Class Reference
eProsima Fast DDS API Reference » DDS Public API » DDS TypeObject API

This class represents the union TypeIdentifier defined by the user in the IDL file. More...

`#include <dds_xtypes_typeobject.hpp>`

## Public Member Functions

eProsima_user_DllExport | TypeIdentifier ()
| Default constructor.
eProsima_user_DllExport | ~TypeIdentifier ()
| Default destructor.
eProsima_user_DllExport | TypeIdentifier (const TypeIdentifier &x)
| Copy constructor.
eProsima_user_DllExport | TypeIdentifier (TypeIdentifier &&x) noexcept
| Move constructor.
eProsima_user_DllExport TypeIdentifier & | operator= (const TypeIdentifier &x)
| Copy assignment.
eProsima_user_DllExport TypeIdentifier & | operator= (TypeIdentifier &&x) noexcept
| Move assignment.
eProsima_user_DllExport bool | operator== (const TypeIdentifier &x) const
| Comparison operator.
eProsima_user_DllExport bool | operator!= (const TypeIdentifier &x) const
| Comparison operator.
eProsima_user_DllExport void | _d (uint8_t __d)
| This function sets the discriminator value.
eProsima_user_DllExport uint8_t | _d () const
| This function returns the value of the discriminator.
eProsima_user_DllExport void | no_value (const Dummy &_no_value)
| This function copies the value in member no_value.
eProsima_user_DllExport void | no_value (Dummy &&_no_value)
| This function moves the value in member no_value.
eProsima_user_DllExport const Dummy & | no_value () const
| This function returns a constant reference to member no_value.
eProsima_user_DllExport Dummy & | no_value ()
| This function returns a reference to member no_value.
eProsima_user_DllExport void | string_sdefn (const StringSTypeDefn &_string_sdefn)
| This function copies the value in member string_sdefn.
eProsima_user_DllExport void | string_sdefn (StringSTypeDefn &&_string_sdefn)
| This function moves the value in member string_sdefn.
eProsima_user_DllExport const StringSTypeDefn & | string_sdefn () const
| This function returns a constant reference to member string_sdefn.
eProsima_user_DllExport StringSTypeDefn & | string_sdefn ()
| This function returns a reference to member string_sdefn.
eProsima_user_DllExport void | string_ldefn (const StringLTypeDefn &_string_ldefn)
| This function copies the value in member string_ldefn.
eProsima_user_DllExport void | string_ldefn (StringLTypeDefn &&_string_ldefn)
| This function moves the value in member string_ldefn.
eProsima_user_DllExport const StringLTypeDefn & | string_ldefn () const
| This function returns a constant reference to member string_ldefn.
eProsima_user_DllExport StringLTypeDefn & | string_ldefn ()
| This function returns a reference to member string_ldefn.
eProsima_user_DllExport void | seq_sdefn (const PlainSequenceSElemDefn &_seq_sdefn)
| This function copies the value in member seq_sdefn.
eProsima_user_DllExport void | seq_sdefn (PlainSequenceSElemDefn &&_seq_sdefn)
| This function moves the value in member seq_sdefn.
eProsima_user_DllExport const PlainSequenceSElemDefn & | seq_sdefn () const
| This function returns a constant reference to member seq_sdefn.
eProsima_user_DllExport PlainSequenceSElemDefn & | seq_sdefn ()
| This function returns a reference to member seq_sdefn.
eProsima_user_DllExport void | seq_ldefn (const PlainSequenceLElemDefn &_seq_ldefn)
| This function copies the value in member seq_ldefn.
eProsima_user_DllExport void | seq_ldefn (PlainSequenceLElemDefn &&_seq_ldefn)
| This function moves the value in member seq_ldefn.
eProsima_user_DllExport const PlainSequenceLElemDefn & | seq_ldefn () const
| This function returns a constant reference to member seq_ldefn.
eProsima_user_DllExport PlainSequenceLElemDefn & | seq_ldefn ()
| This function returns a reference to member seq_ldefn.
eProsima_user_DllExport void | array_sdefn (const PlainArraySElemDefn &_array_sdefn)
| This function copies the value in member array_sdefn.
eProsima_user_DllExport void | array_sdefn (PlainArraySElemDefn &&_array_sdefn)
| This function moves the value in member array_sdefn.
eProsima_user_DllExport const PlainArraySElemDefn & | array_sdefn () const
| This function returns a constant reference to member array_sdefn.
eProsima_user_DllExport PlainArraySElemDefn & | array_sdefn ()
| This function returns a reference to member array_sdefn.
eProsima_user_DllExport void | array_ldefn (const PlainArrayLElemDefn &_array_ldefn)
| This function copies the value in member array_ldefn.
eProsima_user_DllExport void | array_ldefn (PlainArrayLElemDefn &&_array_ldefn)
| This function moves the value in member array_ldefn.
eProsima_user_DllExport const PlainArrayLElemDefn & | array_ldefn () const
| This function returns a constant reference to member array_ldefn.
eProsima_user_DllExport PlainArrayLElemDefn & | array_ldefn ()
| This function returns a reference to member array_ldefn.
eProsima_user_DllExport void | map_sdefn (const PlainMapSTypeDefn &_map_sdefn)
| This function copies the value in member map_sdefn.
eProsima_user_DllExport void | map_sdefn (PlainMapSTypeDefn &&_map_sdefn)
| This function moves the value in member map_sdefn.
eProsima_user_DllExport const PlainMapSTypeDefn & | map_sdefn () const
| This function returns a constant reference to member map_sdefn.
eProsima_user_DllExport PlainMapSTypeDefn & | map_sdefn ()
| This function returns a reference to member map_sdefn.
eProsima_user_DllExport void | map_ldefn (const PlainMapLTypeDefn &_map_ldefn)
| This function copies the value in member map_ldefn.
eProsima_user_DllExport void | map_ldefn (PlainMapLTypeDefn &&_map_ldefn)
| This function moves the value in member map_ldefn.
eProsima_user_DllExport const PlainMapLTypeDefn & | map_ldefn () const
| This function returns a constant reference to member map_ldefn.
eProsima_user_DllExport PlainMapLTypeDefn & | map_ldefn ()
| This function returns a reference to member map_ldefn.
eProsima_user_DllExport void | sc_component_id (const StronglyConnectedComponentId &_sc_component_id)
| This function copies the value in member sc_component_id.
eProsima_user_DllExport void | sc_component_id (StronglyConnectedComponentId &&_sc_component_id)
| This function moves the value in member sc_component_id.
eProsima_user_DllExport const StronglyConnectedComponentId & | sc_component_id () const
| This function returns a constant reference to member sc_component_id.
eProsima_user_DllExport StronglyConnectedComponentId & | sc_component_id ()
| This function returns a reference to member sc_component_id.
eProsima_user_DllExport void | equivalence_hash (const EquivalenceHash &_equivalence_hash)
| This function copies the value in member equivalence_hash.
eProsima_user_DllExport void | equivalence_hash (EquivalenceHash &&_equivalence_hash)
| This function moves the value in member equivalence_hash.
eProsima_user_DllExport const EquivalenceHash & | equivalence_hash () const
| This function returns a constant reference to member equivalence_hash.
eProsima_user_DllExport EquivalenceHash & | equivalence_hash ()
| This function returns a reference to member equivalence_hash.
eProsima_user_DllExport void | extended_defn (const ExtendedTypeDefn &_extended_defn)
| This function copies the value in member extended_defn.
eProsima_user_DllExport void | extended_defn (ExtendedTypeDefn &&_extended_defn)
| This function moves the value in member extended_defn.
eProsima_user_DllExport const ExtendedTypeDefn & | extended_defn () const
| This function returns a constant reference to member extended_defn.
eProsima_user_DllExport ExtendedTypeDefn & | extended_defn ()
| This function returns a reference to member extended_defn.

## Detailed Description

This class represents the union TypeIdentifier defined by the user in the IDL file.

## Constructor & Destructor Documentation

## ◆ TypeIdentifier() [1/3]

eProsima_user_DllExport TypeIdentifier | ( |  | ) |

inline

Default constructor.

## ◆ ~TypeIdentifier()

eProsima_user_DllExport ~TypeIdentifier | ( |  | ) |

inline

Default destructor.

## ◆ TypeIdentifier() [2/3]

eProsima_user_DllExport TypeIdentifier | ( | const TypeIdentifier & | x | ) |

inline

Copy constructor.

Parameters

  x | Reference to the object TypeIdentifier that will be copied.

## ◆ TypeIdentifier() [3/3]

eProsima_user_DllExport TypeIdentifier | ( | TypeIdentifier && | x | ) |

inline noexcept

Move constructor.

Parameters

  x | Reference to the object TypeIdentifier that will be copied.

## Member Function Documentation

## ◆ _d() [1/2]

eProsima_user_DllExport uint8_t _d | ( |  | ) | const

inline

This function returns the value of the discriminator.

Returns
  Value of the discriminator

## ◆ _d() [2/2]

eProsima_user_DllExport void _d | ( | uint8_t | __d | ) |

inline

This function sets the discriminator value.

Parameters

  __d | New value for the discriminator.

Exceptions

  eprosima::fastcdr::exception::BadParamException | This exception is thrown if the new value doesn't correspond to the selected union member.

## ◆ array_ldefn() [1/4]

eProsima_user_DllExport PlainArrayLElemDefn & array_ldefn | ( |  | ) |

inline

This function returns a reference to member array_ldefn.

Returns
  Reference to member array_ldefn

Exceptions

  eprosima::fastcdr::exception::BadParamException | This exception is thrown if the requested union member is not the current selection.

## ◆ array_ldefn() [2/4]

eProsima_user_DllExport const PlainArrayLElemDefn & array_ldefn | ( |  | ) | const

inline

This function returns a constant reference to member array_ldefn.

Returns
  Constant reference to member array_ldefn

Exceptions

  eprosima::fastcdr::exception::BadParamException | This exception is thrown if the requested union member is not the current selection.

## ◆ array_ldefn() [3/4]

eProsima_user_DllExport void array_ldefn | ( | const PlainArrayLElemDefn & | _array_ldefn | ) |

inline

This function copies the value in member array_ldefn.

Parameters

  _array_ldefn | New value to be copied in member array_ldefn

## ◆ array_ldefn() [4/4]

eProsima_user_DllExport void array_ldefn | ( | PlainArrayLElemDefn && | _array_ldefn | ) |

inline

This function moves the value in member array_ldefn.

Parameters

  _array_ldefn | New value to be moved in member array_ldefn

## ◆ array_sdefn() [1/4]

eProsima_user_DllExport PlainArraySElemDefn & array_sdefn | ( |  | ) |

inline

This function returns a reference to member array_sdefn.

Returns
  Reference to member array_sdefn

Exceptions

  eprosima::fastcdr::exception::BadParamException | This exception is thrown if the requested union member is not the current selection.

## ◆ array_sdefn() [2/4]

eProsima_user_DllExport const PlainArraySElemDefn & array_sdefn | ( |  | ) | const

inline

This function returns a constant reference to member array_sdefn.

Returns
  Constant reference to member array_sdefn

Exceptions

  eprosima::fastcdr::exception::BadParamException | This exception is thrown if the requested union member is not the current selection.

## ◆ array_sdefn() [3/4]

eProsima_user_DllExport void array_sdefn | ( | const PlainArraySElemDefn & | _array_sdefn | ) |

inline

This function copies the value in member array_sdefn.

Parameters

  _array_sdefn | New value to be copied in member array_sdefn

## ◆ array_sdefn() [4/4]

eProsima_user_DllExport void array_sdefn | ( | PlainArraySElemDefn && | _array_sdefn | ) |

inline

This function moves the value in member array_sdefn.

Parameters

  _array_sdefn | New value to be moved in member array_sdefn

## ◆ equivalence_hash() [1/4]

eProsima_user_DllExport EquivalenceHash & equivalence_hash | ( |  | ) |

inline

This function returns a reference to member equivalence_hash.

Returns
  Reference to member equivalence_hash

Exceptions

  eprosima::fastcdr::exception::BadParamException | This exception is thrown if the requested union member is not the current selection.

## ◆ equivalence_hash() [2/4]

eProsima_user_DllExport const EquivalenceHash & equivalence_hash | ( |  | ) | const

inline

This function returns a constant reference to member equivalence_hash.

Returns
  Constant reference to member equivalence_hash

Exceptions

  eprosima::fastcdr::exception::BadParamException | This exception is thrown if the requested union member is not the current selection.

## ◆ equivalence_hash() [3/4]

eProsima_user_DllExport void equivalence_hash | ( | const EquivalenceHash & | _equivalence_hash | ) |

inline

This function copies the value in member equivalence_hash.

Parameters

  _equivalence_hash | New value to be copied in member equivalence_hash

## ◆ equivalence_hash() [4/4]

eProsima_user_DllExport void equivalence_hash | ( | EquivalenceHash && | _equivalence_hash | ) |

inline

This function moves the value in member equivalence_hash.

Parameters

  _equivalence_hash | New value to be moved in member equivalence_hash

## ◆ extended_defn() [1/4]

eProsima_user_DllExport ExtendedTypeDefn & extended_defn | ( |  | ) |

inline

This function returns a reference to member extended_defn.

Returns
  Reference to member extended_defn

Exceptions

  eprosima::fastcdr::exception::BadParamException | This exception is thrown if the requested union member is not the current selection.

## ◆ extended_defn() [2/4]

eProsima_user_DllExport const ExtendedTypeDefn & extended_defn | ( |  | ) | const

inline

This function returns a constant reference to member extended_defn.

Returns
  Constant reference to member extended_defn

Exceptions

  eprosima::fastcdr::exception::BadParamException | This exception is thrown if the requested union member is not the current selection.

## ◆ extended_defn() [3/4]

eProsima_user_DllExport void extended_defn | ( | const ExtendedTypeDefn & | _extended_defn | ) |

inline

This function copies the value in member extended_defn.

Parameters

  _extended_defn | New value to be copied in member extended_defn

## ◆ extended_defn() [4/4]

eProsima_user_DllExport void extended_defn | ( | ExtendedTypeDefn && | _extended_defn | ) |

inline

This function moves the value in member extended_defn.

Parameters

  _extended_defn | New value to be moved in member extended_defn

## ◆ map_ldefn() [1/4]

eProsima_user_DllExport PlainMapLTypeDefn & map_ldefn | ( |  | ) |

inline

This function returns a reference to member map_ldefn.

Returns
  Reference to member map_ldefn

Exceptions

  eprosima::fastcdr::exception::BadParamException | This exception is thrown if the requested union member is not the current selection.

## ◆ map_ldefn() [2/4]

eProsima_user_DllExport const PlainMapLTypeDefn & map_ldefn | ( |  | ) | const

inline

This function returns a constant reference to member map_ldefn.

Returns
  Constant reference to member map_ldefn

Exceptions

  eprosima::fastcdr::exception::BadParamException | This exception is thrown if the requested union member is not the current selection.

## ◆ map_ldefn() [3/4]

eProsima_user_DllExport void map_ldefn | ( | const PlainMapLTypeDefn & | _map_ldefn | ) |

inline

This function copies the value in member map_ldefn.

Parameters

  _map_ldefn | New value to be copied in member map_ldefn

## ◆ map_ldefn() [4/4]

eProsima_user_DllExport void map_ldefn | ( | PlainMapLTypeDefn && | _map_ldefn | ) |

inline

This function moves the value in member map_ldefn.

Parameters

  _map_ldefn | New value to be moved in member map_ldefn

## ◆ map_sdefn() [1/4]

eProsima_user_DllExport PlainMapSTypeDefn & map_sdefn | ( |  | ) |

inline

This function returns a reference to member map_sdefn.

Returns
  Reference to member map_sdefn

Exceptions

  eprosima::fastcdr::exception::BadParamException | This exception is thrown if the requested union member is not the current selection.

## ◆ map_sdefn() [2/4]

eProsima_user_DllExport const PlainMapSTypeDefn & map_sdefn | ( |  | ) | const

inline

This function returns a constant reference to member map_sdefn.

Returns
  Constant reference to member map_sdefn

Exceptions

  eprosima::fastcdr::exception::BadParamException | This exception is thrown if the requested union member is not the current selection.

## ◆ map_sdefn() [3/4]

eProsima_user_DllExport void map_sdefn | ( | const PlainMapSTypeDefn & | _map_sdefn | ) |

inline

This function copies the value in member map_sdefn.

Parameters

  _map_sdefn | New value to be copied in member map_sdefn

## ◆ map_sdefn() [4/4]

eProsima_user_DllExport void map_sdefn | ( | PlainMapSTypeDefn && | _map_sdefn | ) |

inline

This function moves the value in member map_sdefn.

Parameters

  _map_sdefn | New value to be moved in member map_sdefn

## ◆ no_value() [1/4]

eProsima_user_DllExport Dummy & no_value | ( |  | ) |

inline

This function returns a reference to member no_value.

Returns
  Reference to member no_value

Exceptions

  eprosima::fastcdr::exception::BadParamException | This exception is thrown if the requested union member is not the current selection.

## ◆ no_value() [2/4]

eProsima_user_DllExport const Dummy & no_value | ( |  | ) | const

inline

This function returns a constant reference to member no_value.

Returns
  Constant reference to member no_value

Exceptions

  eprosima::fastcdr::exception::BadParamException | This exception is thrown if the requested union member is not the current selection.

## ◆ no_value() [3/4]

eProsima_user_DllExport void no_value | ( | const Dummy & | _no_value | ) |

inline

This function copies the value in member no_value.

Parameters

  _no_value | New value to be copied in member no_value

## ◆ no_value() [4/4]

eProsima_user_DllExport void no_value | ( | Dummy && | _no_value | ) |

inline

This function moves the value in member no_value.

Parameters

  _no_value | New value to be moved in member no_value

## ◆ operator!=()

eProsima_user_DllExport bool operator!= | ( | const TypeIdentifier & | x | ) | const

inline

Comparison operator.

Parameters

  x | TypeIdentifier object to compare.

## ◆ operator=() [1/2]

eProsima_user_DllExport TypeIdentifier & operator= | ( | const TypeIdentifier & | x | ) |

inline

Copy assignment.

Parameters

  x | Reference to the object TypeIdentifier that will be copied.

## ◆ operator=() [2/2]

eProsima_user_DllExport TypeIdentifier & operator= | ( | TypeIdentifier && | x | ) |

inline noexcept

Move assignment.

Parameters

  x | Reference to the object TypeIdentifier that will be copied.

## ◆ operator==()

eProsima_user_DllExport bool operator== | ( | const TypeIdentifier & | x | ) | const

inline

Comparison operator.

Parameters

  x | TypeIdentifier object to compare.

## ◆ sc_component_id() [1/4]

eProsima_user_DllExport StronglyConnectedComponentId & sc_component_id | ( |  | ) |

inline

This function returns a reference to member sc_component_id.

Returns
  Reference to member sc_component_id

Exceptions

  eprosima::fastcdr::exception::BadParamException | This exception is thrown if the requested union member is not the current selection.

## ◆ sc_component_id() [2/4]

eProsima_user_DllExport const StronglyConnectedComponentId & sc_component_id | ( |  | ) | const

inline

This function returns a constant reference to member sc_component_id.

Returns
  Constant reference to member sc_component_id

Exceptions

  eprosima::fastcdr::exception::BadParamException | This exception is thrown if the requested union member is not the current selection.

## ◆ sc_component_id() [3/4]

eProsima_user_DllExport void sc_component_id | ( | const StronglyConnectedComponentId & | _sc_component_id | ) |

inline

This function copies the value in member sc_component_id.

Parameters

  _sc_component_id | New value to be copied in member sc_component_id

## ◆ sc_component_id() [4/4]

eProsima_user_DllExport void sc_component_id | ( | StronglyConnectedComponentId && | _sc_component_id | ) |

inline

This function moves the value in member sc_component_id.

Parameters

  _sc_component_id | New value to be moved in member sc_component_id

## ◆ seq_ldefn() [1/4]

eProsima_user_DllExport PlainSequenceLElemDefn & seq_ldefn | ( |  | ) |

inline

This function returns a reference to member seq_ldefn.

Returns
  Reference to member seq_ldefn

Exceptions

  eprosima::fastcdr::exception::BadParamException | This exception is thrown if the requested union member is not the current selection.

## ◆ seq_ldefn() [2/4]

eProsima_user_DllExport const PlainSequenceLElemDefn & seq_ldefn | ( |  | ) | const

inline

This function returns a constant reference to member seq_ldefn.

Returns
  Constant reference to member seq_ldefn

Exceptions

  eprosima::fastcdr::exception::BadParamException | This exception is thrown if the requested union member is not the current selection.

## ◆ seq_ldefn() [3/4]

eProsima_user_DllExport void seq_ldefn | ( | const PlainSequenceLElemDefn & | _seq_ldefn | ) |

inline

This function copies the value in member seq_ldefn.

Parameters

  _seq_ldefn | New value to be copied in member seq_ldefn

## ◆ seq_ldefn() [4/4]

eProsima_user_DllExport void seq_ldefn | ( | PlainSequenceLElemDefn && | _seq_ldefn | ) |

inline

This function moves the value in member seq_ldefn.

Parameters

  _seq_ldefn | New value to be moved in member seq_ldefn

## ◆ seq_sdefn() [1/4]

eProsima_user_DllExport PlainSequenceSElemDefn & seq_sdefn | ( |  | ) |

inline

This function returns a reference to member seq_sdefn.

Returns
  Reference to member seq_sdefn

Exceptions

  eprosima::fastcdr::exception::BadParamException | This exception is thrown if the requested union member is not the current selection.

## ◆ seq_sdefn() [2/4]

eProsima_user_DllExport const PlainSequenceSElemDefn & seq_sdefn | ( |  | ) | const

inline

This function returns a constant reference to member seq_sdefn.

Returns
  Constant reference to member seq_sdefn

Exceptions

  eprosima::fastcdr::exception::BadParamException | This exception is thrown if the requested union member is not the current selection.

## ◆ seq_sdefn() [3/4]

eProsima_user_DllExport void seq_sdefn | ( | const PlainSequenceSElemDefn & | _seq_sdefn | ) |

inline

This function copies the value in member seq_sdefn.

Parameters

  _seq_sdefn | New value to be copied in member seq_sdefn

## ◆ seq_sdefn() [4/4]

eProsima_user_DllExport void seq_sdefn | ( | PlainSequenceSElemDefn && | _seq_sdefn | ) |

inline

This function moves the value in member seq_sdefn.

Parameters

  _seq_sdefn | New value to be moved in member seq_sdefn

## ◆ string_ldefn() [1/4]

eProsima_user_DllExport StringLTypeDefn & string_ldefn | ( |  | ) |

inline

This function returns a reference to member string_ldefn.

Returns
  Reference to member string_ldefn

Exceptions

  eprosima::fastcdr::exception::BadParamException | This exception is thrown if the requested union member is not the current selection.

## ◆ string_ldefn() [2/4]

eProsima_user_DllExport const StringLTypeDefn & string_ldefn | ( |  | ) | const

inline

This function returns a constant reference to member string_ldefn.

Returns
  Constant reference to member string_ldefn

Exceptions

  eprosima::fastcdr::exception::BadParamException | This exception is thrown if the requested union member is not the current selection.

## ◆ string_ldefn() [3/4]

eProsima_user_DllExport void string_ldefn | ( | const StringLTypeDefn & | _string_ldefn | ) |

inline

This function copies the value in member string_ldefn.

Parameters

  _string_ldefn | New value to be copied in member string_ldefn

## ◆ string_ldefn() [4/4]

eProsima_user_DllExport void string_ldefn | ( | StringLTypeDefn && | _string_ldefn | ) |

inline

This function moves the value in member string_ldefn.

Parameters

  _string_ldefn | New value to be moved in member string_ldefn

## ◆ string_sdefn() [1/4]

eProsima_user_DllExport StringSTypeDefn & string_sdefn | ( |  | ) |

inline

This function returns a reference to member string_sdefn.

Returns
  Reference to member string_sdefn

Exceptions

  eprosima::fastcdr::exception::BadParamException | This exception is thrown if the requested union member is not the current selection.

## ◆ string_sdefn() [2/4]

eProsima_user_DllExport const StringSTypeDefn & string_sdefn | ( |  | ) | const

inline

This function returns a constant reference to member string_sdefn.

Returns
  Constant reference to member string_sdefn

Exceptions

  eprosima::fastcdr::exception::BadParamException | This exception is thrown if the requested union member is not the current selection.

## ◆ string_sdefn() [3/4]

eProsima_user_DllExport void string_sdefn | ( | const StringSTypeDefn & | _string_sdefn | ) |

inline

This function copies the value in member string_sdefn.

Parameters

  _string_sdefn | New value to be copied in member string_sdefn

## ◆ string_sdefn() [4/4]

eProsima_user_DllExport void string_sdefn | ( | StringSTypeDefn && | _string_sdefn | ) |

inline

This function moves the value in member string_sdefn.

Parameters

  _string_sdefn | New value to be moved in member string_sdefn

## Member Data Documentation

## ◆ m_array_ldefn

PlainArrayLElemDefn m_array_ldefn

## ◆ m_array_sdefn

PlainArraySElemDefn m_array_sdefn

## ◆ m_equivalence_hash

EquivalenceHash m_equivalence_hash

## ◆ m_extended_defn

ExtendedTypeDefn m_extended_defn

## ◆ m_map_ldefn

PlainMapLTypeDefn m_map_ldefn

## ◆ m_map_sdefn

PlainMapSTypeDefn m_map_sdefn

## ◆ m_no_value

Dummy m_no_value

## ◆ m_sc_component_id

StronglyConnectedComponentId m_sc_component_id

## ◆ m_seq_ldefn

PlainSequenceLElemDefn m_seq_ldefn

## ◆ m_seq_sdefn

PlainSequenceSElemDefn m_seq_sdefn

## ◆ m_string_ldefn

StringLTypeDefn m_string_ldefn

## ◆ m_string_sdefn

StringSTypeDefn m_string_sdefn

The documentation for this class was generated from the following file:

- include/fastdds/dds/xtypes/type_representation/detail/dds_xtypes_typeobject.hpp